#!/bin/sh
SDIR="/_config/backup"
MODCONF=""

set_autoload() {
   KV="$(uname -r)"
   KV_MAJOR=`uname -r | cut -f1 -d "."`
   KV_MINOR=`uname -r | cut -f2 -d "."`

   MODCONF="/etc/modules.autoload.d/kernel-${KV_MAJOR}.${KV_MINOR}"
   mv -f $MODCONF $MODCONF.org
   echo "natsemi" > $MODCONF
   echo "usb-storage" >> $MODCONF
}

echo ""
echo "mkcfg start"
cd /
chmod +x /_config/*/*.sh > /dev/null 2>&1
chmod +x /_config/*/*/*.sh > /dev/null 2>&1
chmod +x /etc/vdr/runvdr > /dev/null 2>&1
chmod +x /_config/bin/* > /dev/null 2>&1
chmod +x /etc/*/*.sh > /dev/null 2>&1
chmod +x /etc/init.d/* > /dev/null 2>&1
chmod +x /etc/*/*/*.sh > /dev/null 2>&1
chmod +x /etc/*/*/*/*.sh > /dev/null 2>&1
rm /etc/vdr/plugins/admin/~* > /dev/null 2>&1

EXCL_EXT="mng png mpg mpeg xpm pnm mp2 ttf"

find ./_config/backup/isolinux -type f > /tmp/~cfgadd
for i in $EXCL_EXT ; do
    find ./etc -name "*.${i}" >> /tmp/~cfgadd
done

if [ "$1" = "-i" ] ; then
   set_autoload
   echo "mkcfg -i"
   
   EXCLUDES="--exclude=./etc/resolv.conf* --exclude=./etc/ntp.conf* --exclude=./etc/yp.conf*"
   INCLUDES="./root/.dvdwizard ./root/.vdrconvert ./root/.xine ./root/.bash_profile ./root/.bashrc ./home/vdr/.xine"    
   sed -i $SDIR/autorun -e 's/export INST_OPT=.*$/export INST_OPT="INSTALL"/'
else
   EXCLUDES="/root/.cpan /root/.subversion"
   INCLUDES="./root ./home"
   sed -i $SDIR/autorun -e 's/export INST_OPT=.*$/export INST_OPT="RESTORE"/'
fi

rm -f /mnt/hda5/g2v_base_cfg.tar.bz2
tar -cjvf /mnt/hda5/g2v_base_cfg.tar.bz2 --exclude=*.org --exclude=timers.conf --exclude=./_config/status/*  --exclude=nohup.out  \
    --exclude=./_config/backup/g2v_inst $EXCLUDES --exclude=./_config/doCheck --exclude-from=/tmp/~cfgadd \
    ./_config ./etc $INCLUDES

tar -cjvf /mnt/hda5/g2v_base_cfg_add.tar.bz2 -T /tmp/~cfgadd

if [ "$1" = "-i" ] ; then
   if [ ! "$MODCONF" = "" ] && [ -f $MODCONF.org ] ; then
      mv -f $MODCONF.org $MODCONF
   fi
fi
	
echo "mkcfg end"
echo ""
