#!/bin/sh
ISOLX_DIR="isolinux"
INST_DIR="/_config/backup"
TARGET_DIR="/mnt/hda5"

cd $INST_DIR

rm -f ${TARGET_DIR}/g2v_boot.tar.bz2 >/dev/null 2>&1
tar -cvjf ${TARGET_DIR}/g2v_boot.tar.bz2 $ISOLX_DIR
cp autorun ${TARGET_DIR}/
cp setup.sh ${TARGET_DIR}/
cp g2v_filedesc ${TARGET_DIR}/
cp g2v_*.sh ${TARGET_DIR}/
rm -rf ${TARGET_DIR}/g2v_inst >/dev/null 2>&1
mkdir -p ${TARGET_DIR}/g2v_inst/_config/install
mkdir -p ${TARGET_DIR}/g2v_inst/etc/vdr/plugins/admin
cp -f ${INST_DIR}/g2v_inst/* ${TARGET_DIR}/g2v_inst/ >/dev/null 2>&1
cp -rf /_config/install/* ${TARGET_DIR}/g2v_inst/_config/install/ >/dev/null 2>&1
cp -rf /_config/install/init/* ${TARGET_DIR}/g2v_inst/ >/dev/null 2>&1
cp -rf /etc/conf.d ${TARGET_DIR}/g2v_inst/etc/ >/dev/null 2>&1
cp /etc/vdr/* ${TARGET_DIR}/g2v_inst/etc/vdr/ >/dev/null 2>&1
cp /etc/vdr/plugins/* ${TARGET_DIR}/g2v_inst/etc/vdr/plugins/ >/dev/null 2>&1
cp /etc/vdr/plugins/admin/* ${TARGET_DIR}/g2v_inst/etc/vdr/plugins/admin/ >/dev/null 2>&1

cd ${TARGET_DIR}
rm -rf doc  >/dev/null 2>&1
cp -rf /usr/local/doc/vdr doc
chmod 644 doc/*

rm -f ${TARGET_DIR}/g2v_inst.tar.bz2 >/dev/null 2>&1
tar -cvjf g2v_inst.tar.bz2 g2v_filedesc setup.sh autorun doc g2v_inst g2v_mki.sh

rm g2v_md5_* >/dev/null 2>&1
rm g2v_fls_* >/dev/null 2>&1

DTY=$(date +%y%m%d)
echo "Calculating md5sum ..."
md5sum g2v*.tar.bz2 > g2v_md5_$DTY

DT=$(date +%y%m%d)
$(touch -t ${DT}1200 g2v*)
ls -l ${TARGET_DIR}/g2v_*  | cut -b 24- > ${TARGET_DIR}/g2v_fls_$DTY

cat ${INST_DIR}/g2v_prep.sh > g2v_prep.sh
	
echo "mkimg end"
echo ""
