#! /bin/bash
#
source /etc/conf.d/vdr

author="Helmut Auer"

SLOW_DOWN_SPEEDCONTROL="speedcontrol -x $DISC_SPEED"
SLOW_DOWN_HDPARM="hdparm -E $DISC_SPEED"

action=$1           # is disc inserted or ejected ?
appendable=$2       # if the disc is appendable (true or false)
blank=$3            # if the disc is blank (true or false)
data=$4             # if the disc has data on it (true or false)
audio=$5            # if the disc has audio on it (true or false)
type=$6             # what type the disc is (cd_rom, cd_r, cd_rw, dvd_rom)
device=$7           # which drive the disc is inserted into (/dev/hdc or /dev/hdd)
mounted=$8          # if the disc is mounted (true or false)
label=$9            # what the disc label is
mount_point=${10}     # where the disc is mounted (/media/cdrecorder or /media/cdrom)

logger -s "Autoplay: <$*>"

auto=""
svcmd=""

mp_file=$(echo "$mount_point"| tr "/" "_")

if [ "$action" = "-insert" ] && [ "$DISC_AUTORUN" = "1" ] ; then
   if [ "$(pidof vdr)" != "" ] && [ ! -f /_config/status/~vdrdisabled ] ; then
      if [ "$audio" = "true" ] ; then
         auto="Audio"
         svcmd="PLUG cdda MAIN"
      elif [ "$data" = "true" ] && [ "$mounted" = "true" ] ; then
         # Check for DVD
         if [ -d $mount_point/VIDEO_TS ] || [ -d $mount_point/video_ts ] ; then
            auto="DVD"
            svcmd="PLUG dvd MAIN"
         # Check for VDR recording
         elif [ "$(find $mount_point -type d -name *.rec)" != "" ] ; then
            touch /video/.update
            recnum=$(svdrpsend.pl LSTR |grep -m1 " DISC~" |cut -b 5- |cut -f 1 -d " ")
            if [ "$recnum" != "" ] ; then
               svcmd="PLAY $recnum"
               auto="VDR"
            fi   
         # Check for MP3
         elif [ "$(find $mount_point -type f -name *.mp3)" != "" ] ; then
            if [ "S(echo $PLUGINS | grep \" mp3ng \")" != "" ] ; then
               svcmd="PLUG mp3ng MAIN"
            else
               svcmd="PLUG mp3 MAIN"
            fi   
            auto="MP3"
         # Check for Images
         elif [ "$(find $mount_point -type f -name *.jp*)" != "" ] ; then
            svcmd="PLUG image MAIN"
            auto="Image"
         fi   
      fi
      if [ "$svcmd" != "" ] ; then
         if [ "$(echo $PLUGINS | grep " em84xx ")" != "" ] ; then
            sh /_config/bin/switch_console.sh -x
         else
            logger -s "$svcmd"
            svdrpsend.pl HITK back
            svdrpsend.pl HITK back
            svdrpsend.pl HITK back
            svdrpsend.pl $svcmd
         fi   
      fi
      if [ "$auto" != "" ] ; then
         touch /_config/status/~$mp_file
      fi
   fi   
   sh /_config/bin/disc_speed.sh -c $device
else
   if [ -f /_config/status/~$mp_file ] ; then
      rm /_config/status/~$mp_file
      if [ -f /_config/status/~vdrdisabled ] ; then
         /_config/bin/switch_console.sh -vdr
      else      
         svdrpsend.pl HITK back
         svdrpsend.pl HITK back
         svdrpsend.pl HITK back
      fi
   fi
fi

exit 0

