#!/bin/bash
source /etc/conf.d/vdr.admin.cfg

if [ "$(pidof vdr)" != "" ] ; then
  /etc/init.d/vdr stop
fi

/_config/bin/dvbmod check
/_config/bin/dvbmod load
echo "Waiting for dvb devices to register ..."
sleep 15

DVB_CARDS=$(ls -l /dev/dvb | grep adapter | wc -l 2>/dev/null)

PRIM_DVB=$(ls -l /dev/dvb/*/osd* | wc -l 2>/dev/null)

BOARD=$(/_config/bin/query_mb.sh)
if [ "$PRIM_DVB" = "0" ] ; then
   if [ "$BOARD" = "ACTIVY" ] ; then 
      logger -s "No primary DVB card found - adding em84xx plugin"
      $SETVAL "PLG_em84xx" "1"
      $SETVAL "PLG_xine" "0"
      $SETVAL "PLG_dvd" "0"
      $SETVAL GUI_SWITCH_OUTPUT 1
      $SETVAL GUI_LOOP_OUTPUT 0
   else
      logger -s "No primary DVB card found - adding xine plugin"
      $SETVAL "PLG_xine" "1"
      $SETVAL "GUI" "FreeVo"
   fi   
else
   if [ "$BOARD" = "ACTIVY" ] ; then 
      $SETVAL "PLG_em84xx" "0"
      $SETVAL "PLG_xine" "0"
      $SETVAL "PLG_dvd" "1"
      $SETVAL GUI_SWITCH_OUTPUT 0
      $SETVAL GUI_LOOP_OUTPUT 1
   fi
fi
$SETVAL "DVB_CARD_NUM" $DVB_CARDS

