#!/bin/bash
#set -x
source /etc/conf.d/vdr

MODULES="i2c_i801 usb-storage"
SVC_DEFAULT="freevo xdm irexec net.eth0 samba sshd ftp nfs vdradmind xxvd ntp-client"
SVC_VDR="lircd activylircd alsasound vdr"

svdrpsend.pl MESG "Das system wird heruntergefahren ..."
for i in $SVC_DEFAULT ; do
   /etc/init.d/$i stop > /dev/null 2>&1
done
for i in $SVC_VDR ; do
   /etc/init.d/$i stop > /dev/null 2>&1
done

SVC_START=""
rc-update -s | tr -d " " | grep -v "|$" > /tmp/services
for i in $SVC_VDR $SVC_DEFAULT ; do
   ACTIVE=$(grep "^${i}|" /tmp/services)
   if [ "$ACTIVE" != "" ] ; then
      SVC_START="${SVC_START} ${i}"
   fi   
done

sleep 3
/_config/bin/killvdr.sh > /dev/null 2>&1
/_config/bin/dvbmod unload > /dev/null 2>&1
killall -9 vdr-disable.sh vdr-enable.sh > /dev/null 2>&1
rm -rf /_config/status/*

MOD_LOAD=""
for i in $MODULES ; do
   ACTIVE=$(lsmod |grep "^$i ")
   if [ "$ACTIVE" != "" ] ; then
      logger -s "Unloading $i"
      MOD_LOAD="$MOD_LOAD $i"
      rmmod $i
   fi
done

# Cleanup !
#rm /tmp/* >/dev/null 2>&1
#rm /tmp/.* >/dev/null 2>&1
#sh /_config/bin/delnoadpid.sh >/dev/null 2>&1
rm -rf /_config/status/* > /dev/null 2>&1
/_config/bin/usbmount -unmount > /dev/null 2>&1

logger -s "Hibernating ..."
hibernate-ram
logger -s "Wieder da ..." 
for i in $MOD_LOAD ; do
   logger -s "Loading $i"
   modprobe $i
done
/_config/bin/dvbmod load

for i in ${SVC_START} ; do
   logger -s "Starting $i"
   /etc/init.d/${i} start
done
