#!/bin/sh
SOURCE_DEV="/dev/hda5"

# Limit to move Files to target_dir ( in percent )
LIMIT=55    

VIDEO_DIR="/video"
TARGET_DIR="/film"

cd $VIDEO_DIR
# Delete recordings marked for deletion
DEL_RECS=`find . -follow -type d -name "*.del" -print -prune -o -follow -type d -name "*.rec" -prune 2>/dev/null`

for i in $DEL_RECS ; do
   echo "Deleting ${i} ..."
   rm -rf ${i}
done

# Delete empty directories
ALL_DIRS=`find . -follow -type d -name "*" -print -prune -o -follow -type d -name "*.rec" -prune 2>/dev/null`

for i in $ALL_DIRS ; do
   contents=`ls ${i}`
   if [ "$contents" = "" ] ; then
      echo "Deleting ${i}"
      rmdir ${i}
   fi
done

# Now check disk usage and if > Limit move all cutted recordings to TARGET_DIR

used=$(df | grep "$SOURCE_DEV" | awk '{print $5}' | cut -f 1 -d "%")
if [ "$used" != "" ] && [ $used -ge $LIMIT ] ; then
   # Search cutted recordings
   CUT_DIRS=`find . -follow -type d -name "%*" -print -prune -o -follow -type d -name "*.rec" -prune 2>/dev/null`
   
   for i in $CUT_DIRS ; do
      echo "Moving ${i} to $TARGET_DIR"
      TDIR=$(echo $i | cut -f 2- -d "/" | cut -f 1 -d "%")
      mkdir -p ${TARGET_DIR}/${TDIR}
      mv -vf "${i}" "${TARGET_DIR}/${TDIR}"
   done
else 
   echo "Enough place available ..."
fi 
