#!/bin/sh
# Script for demuxing vdr recordings
# Syntax: pxdemux <outPath> <recording_path>

PX_JAR="/usr/local/src/_div/ProjectX/ProjectX.jar"
PX_INI="/etc/vdr/plugins/burn/ProjectX.ini"

logger -s "Audio split setup for $2:"
echo "ExternPanel.renameAudio=1" > $PX_INI
if [ -e $2/info.vdr ]; then
   DESCR=$(grep "^D .*Zweikanalton " $2/info.vdr)
   if [ 0 == $? ]; then
      L_mpa=$(echo $DESCR|sed 's/^D .*Zweikanalton \(.*\)\/.*/\1/g')
      R_mpa=$(echo $DESCR|sed 's/^D .*Zweikanalton .*\/\(.*\)/\1/g')
      logger -s "Zweikanalton "$L_mpa:$R_mpa
      echo "AudioPanel.loslessMpaConversionMode=4" >> $PX_INI
   else
      logger -s "Stereo"
   fi
   WS=$(grep "^D .*Widescreen" $2/info.vdr)
   if [ "$WS" != "" ]; then
      logger -s "Widescreen aspect ratio 16:9"
      echo "VideoPanel.ChangeAspectRatio=3" >> $PX_INI
   else
      logger -s "Original aspect ratio"
#                VideoPanel.ChangeAspectRatio=2 to enforce 4:3
   fi
else
   logger -s "Missing $2/info.vdr"
fi

logger -s $(cat $PX_INI)

java -Djava.awt.headless=true -jar $PX_JAR -ini $PX_INI -demux -out "$1" -name "vdrsync" $(ls $2/[0-9][0-9][0-9].vdr)
