#!/bin/sh
FRV_CON=7
VDR_CON=8
FRV_DISABLE="/_config/status/~freevodisabled"
VDR_DISABLE="/_config/status/~vdrdisabled"

END=$1

if [ "$2" != "" ]; then
   END=$2
fi

if [ "$1" = "VDR" ] ; then
   for i in `seq 1 15` ; do
      pidof vdr >/dev/null
      if [ "$?" = "0" ] ; then
         break
      fi
      sleep 1
   done
   pidof vdr >/dev/null
   if [ "$?" != "0" ] ; then
      logger -s "VDR ist nicht gestartet"
      exit
   fi
   rm -f $VDR_DISABLE > /dev/null 2>&1
   touch $FRV_DISABLE > /dev/null 2>&1
   FGC=$VDR_CON
else 
   for i in `seq 1 15` ; do
      FRV=`ps x | grep /usr/bin/freevo | grep /usr/bin/python`
      if [ "$FRV" != "" ] ; then
         break;
      fi
      sleep 1
   done
   if [ "$FRV" = "" ] ; then
      logger -s "FreeVo ist nicht gestartet"
      exit
   fi
   rm -f $FRV_DISABLE > /dev/null 2>&1
   touch $VDR_DISABLE > /dev/null 2>&1
   FGC=$FRV_CON
fi
logger -s "Waiting for $FGC"

SWITCHED=0

for i in `seq 1 $END` ; do
   logger -s "Waiting for $FGC $i $(fgconsole)"
   if [ -f $VDR_DISABLE ] && [ "$FGC" = "$VDR_CON" ]; then
      logger -s "VDR disabled"
      break 
   fi
   
   if [ -f $FRV_DISABLE ] && [ "$FGC" = "$FRV_CON" ]; then
      logger -s "Freevo disabled"
      break 
   fi
   
   if [ "$(fgconsole)" != "$FGC" ] ; then
      while [ "$(fgconsole)" != "$FGC" ] ; do
         logger -s "Switching to console $FGC"
         killall -9 chvt > /dev/null 2>&1
         chvt $FGC &
         sleep 1
      done
      SWITCHED=$(($SWITCHED+1))
   fi
   if [ ${i} -gt 10 ] && [ $SWITCHED -ge 1 ] ; then
      logger -s "Break out"
      break
   fi
   sleep 1
done
