#!/bin/sh
source /etc/conf.d/vdr

if [ "$1" != "DVB" ] && [ "$1" != "TVOUT" ] ; then
   echo "Illegal Parameter <$1> - must be DVB or TVOUT"
   exit
fi

BOARD=$(sh /_config/bin/query_mb.sh)

case "$BOARD" in
   MP_*)
      if [ "$MP_TVOUT" = "1" ] && [ "$(lsmod | grep "^fs450")" = "" ] ; then
         cd /_config/tvout
         sh install.sh
         ./set800X600.sh
      fi
   
      if [ "$GUI_SWITCH_OUTPUT" != "1" ] ; then
         echo "No Switch set"
         exit
      fi

      STATUS=$(grep "DVB" /_config/status/mpscart)
      if [ "$STATUS" != "DVB" ] ; then
         STATUS="FS450"
      fi 

      if [ "$1" != "$STATUS" ] ; then
         echo "Switching to $1"
         mp-switch-video
      fi
      
      echo "$1" > /_config/status/mpscart
      ;;
   ACTIVY)
      /_config/bin/activy_tvout.sh $1
      ;;
   *)      
      echo "No MediaPortal or Activy"
      ;;
esac

